/*
 * player_actions.h
 *
 *  Created on: Oct 17, 2025
 *      Author: sowgro
 */

#ifndef INC_PROJECT_PLAYER_ACTIONS_H_
#define INC_PROJECT_PLAYER_ACTIONS_H_

#define PLAYING_STATE (1)
#define PAUSED_STATE (2)
#define STOPPED_STATE (3)

uint8_t player_get_state();
void player_set_state(uint8_t newState);

void player_help();
void player_next();
void player_play();
void player_pause();
void player_stop();

void player_action_tick(int count);

#endif /* INC_PROJECT_PLAYER_ACTIONS_H_ */
